# Uses of Class
org.apache.solr.client.solrj.response.json.NestableJsonFacet

Packages that use NestableJsonFacet
Package
Description
org.apache.solr.client.solrj.response
Convenience classes for dealing with various types of Solr responses.
org.apache.solr.client.solrj.response.json
Allows parsing of JSON query/faceting API responses

## Uses of NestableJsonFacet in org.apache.solr.client.solrj.response

Methods in org.apache.solr.client.solrj.response that return NestableJsonFacet
Modifier and Type
Method
Description
`NestableJsonFacet`
QueryResponse.`getJsonFacetingResponse()`

## Uses of NestableJsonFacet in org.apache.solr.client.solrj.response.json

Subclasses of NestableJsonFacet in org.apache.solr.client.solrj.response.json
Modifier and Type
Class
Description
`class`
`BucketJsonFacet`
Represents an individual bucket result of a "term" or "range" facet.
Methods in org.apache.solr.client.solrj.response.json that return NestableJsonFacet
Modifier and Type
Method
Description
`NestableJsonFacet`
NestableJsonFacet.`getQueryFacet(String name)`
Retrieve a nested "query" facet by its name